//
//  SearchPluginItemController.h
//  iSale
//
//  Created by Claudia Brak on 1/7/08.
//  Copyright 2008 equinux AG. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SearchPluginKeyValuePair.h"


#define CONTENT_KEY_COLUMN_IDENTIFIER @"key"
#define CONTENT_KEY_COLUMN_INDEX 0
#define CONTENT_VALUE_COLUMN_IDENTIFIER @"value"
#define CONTENT_VALUE_COLUMN_INDEX 1


@interface SearchPluginItemController : NSObject 
{
	IBOutlet NSView *contentView;
	SearchPluginKeyValuePair *titlePair;
	NSImage *image;
	NSDictionary *contentDict;
	NSDictionary *auctionDescriptionDict;	
	IBOutlet NSArrayController *contentArrayController;
	IBOutlet NSButton *createSnippetButton;
	IBOutlet NSButton *createAuctionButton;
}


#pragma mark STATIC
+ (NSMutableDictionary *)localizedAuctionValueDict;


#pragma mark INIT
- (id)initWithAuctionDescriptionDict:(NSDictionary *)anAuctionDescriptionDict
		   localizedAuctionValueDict:(NSDictionary *)aLocalizedAuctionValueDict
					  sortedKeyArray:(NSArray *)aSortedKeyArray;
- (id)initWithAuctionDescriptionDict:(NSDictionary *)anAuctionDescriptionDict
					  sortedKeyArray:(NSArray *)aSortedKeyArray;


#pragma mark GETTER & SETTER
- (NSView *)contentView;
- (SearchPluginKeyValuePair *)titlePair;
- (NSImage *)image;
- (NSDictionary *)contentDict;


#pragma mark Actions
- (IBAction)createSnippet:(id)sender;
- (IBAction)createAuction:(id)sender;


@end
